Автор Тема: Проблема с установкой gcc-6.  (Прочитано 2645 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Baron Rojo

Проблема с установкой gcc-6.
« : 13 Декабря 2016, 19:38:42 »
Добрго времени суток! Возникла следующая проблема: установил ядро 4.9.0.
пытаясь выполнить
apt install linux-headers-4.9.0-rc8-all

имею следующее:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 linux-headers-4.9.0-rc8-amd64 : Depends: linux-kbuild-4.9 but it is not going to be installed
                                 Depends: gcc-6 but it is not installable
E: Unable to correct problems, you have held broken packages.

Выполняю apt-get install gcc-6
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package gcc-6 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'gcc-6' has no installation candidate
В вопрос: как быть?
На всякий случай, моя вресия gcc:

gcc --version
gcc (Debian 4.9.2-10) 4.9.2
Copyright (C) 2014 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Используй теги
alsoijw
« Последнее редактирование: 13 Декабря 2016, 21:28:57 от alsoijw »
 

Оффлайн alsoijw

Re: Проблема с установкой gcc-6.
« Ответ #1 : 13 Декабря 2016, 21:30:58 »
Baron Rojo, а разве 6 версия уже есть в репах?
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 

Оффлайн Aalexeey

Re: Проблема с установкой gcc-6.
« Ответ #2 : 13 Декабря 2016, 22:26:45 »
Baron Rojo, судя по вашему gcc у вас Jessie хотя могу и ошибаться, вам может подойти такой репо где есть gcc-6:
Не для новичков. Используете на свой страх и риск!: ShowHide
deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ trusty mainУстанавливать от туда надо осторожно не ломая зависимости, и быть опытным пользователем.

В Wheezy я использую этот репо:
deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu/ precise mainВсё работает отлично.
« Последнее редактирование: 14 Декабря 2016, 21:17:41 от Aalexeey »
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн alsoijw

Re: Проблема с установкой gcc-6.
« Ответ #3 : 13 Декабря 2016, 23:40:51 »
В очередной раз напоминаю что подключение PPA не рекомендуется.
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 

Оффлайн ferum

Re: Проблема с установкой gcc-6.
« Ответ #4 : 14 Декабря 2016, 11:58:55 »
В очередной раз напоминаю что подключение PPA не рекомендуется.
Уверен что за откровенно вредные советы вроде этого, который на 90% приведёт к краху системы уже надо принимать меры в плоть до отправки в читатели на продолжительный срок.
Русские дебианщики против цифрового слабоумия !
 
Пользователи, которые поблагодарили этот пост: qupl

Оффлайн Baron Rojo

Re: Проблема с установкой gcc-6.
« Ответ #5 : 14 Декабря 2016, 18:39:16 »
А для непосвященных может кто дать ссыль и вкратце рассказать что таоке PPA?
 

Оффлайн Aalexeey

Re: Проблема с установкой gcc-6.
« Ответ #6 : 14 Декабря 2016, 21:11:39 »
надо принимать меры в плоть до отправки в читатели
Почему то уверен что вы об этом только и мечтаете. Оправдываться не буду. Вы ему ещё скомпилировать gcc-6 посоветуйте, повеселили.
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн ferum

Re: Проблема с установкой gcc-6.
« Ответ #7 : 14 Декабря 2016, 22:15:42 »
ppa это персональные архивы пакетов создаваемые продвинутыми пользователями для дистрибутива ubuntu сервера со сборочными машинами представлены коммерческой организацией canonical под патронажем которой находится разработка упомянутого дистрибутива. За распространяемые через данные персональные архивы пакеты canonical ответственности не несёт , пользователи устанавливают данное программное обеспечение на свой страх и риск.
Тем не менее эти архивы выполняют функцию внедрения и обкатки свежего софта а так же софта не входящего в официальные источники ubuntu.
Прямого отношения к debian система ppa  launchpadnet не имеет.  В виду того что ubuntu был основан на debian (ответвление произошло свыше 10 лет назад) ещё осталась некоторая бинарная совместимость и неосведомлённые о возможных последствиях и не "попадавшие" пока пользователи считают нормальным установку пакетов предназначенных для другого дистрибутива, больше того пропагандируют свой сомнительный опыт другим. После этого на форуме появляются темы типа apt  хочет удалить половину системы или после обновления упали иксы и выставляют debian как дырявую и нестабильную систему, хотя понятно что система уже нарушена.
 Советовать собирать компилятор естественно я не буду, далеко не всё под силу простым пользователям. Придёт время и человек сам всё прочитает и поймёт но не надо всех подначивать ходить по граблям. Граблей и так в linux хватает, по этому далеко не все начинающие остаются в наших рядах.
Aalexeey, я прекрасно понимаю что вам больше нравятся освежённые бэкпортами дистрибутивы  типа antix и mepis но  это уже не debian  и большую часть пакетов от оригинала туда просто не поставить так как поломаны зависимости. Если вы мне не верите попробуйте поставить на свою модифицированную wheezy kde хотя бы standart и вы убедитесь в бесполезности затей а значит и неполноценности вашего дистрибутива. Таких много , debian один.
Русские дебианщики против цифрового слабоумия !
 

Оффлайн Aalexeey

Re: Проблема с установкой gcc-6.
« Ответ #8 : 14 Декабря 2016, 22:58:22 »
неполноценности вашего дистрибутива
Spoiler: ShowHide
[ot]Без необходимого софта и возможности иметь его достаточно свежим, для неискушённого пользователя или новичка такой linux не более чем пшик. В моём Wheezy по прежнему безпроблемно приходят обновления из оффициальных реп, остальные лиш дополнения, совместимость отличная, насчёт KDE не могу сказать, у меня MATE и никаких проблем с совместимостью и стабильностью я уже очень долго не наблюдаю, система становится только лучше быстрей, стабильней и содержит максимум нужного актуального софта. Что ещё нужно чтоб давать советы, судя по вопросам задаваемым здесь на форуме мне есть чем поделиться, особенно с теми кто ищет лёгких путей тех кого бросает в холодный пот от страшного слова компиляция. Не устаю указывать на то что перед экспериментами надо создавать копии разделов (что сродни Acronis в винде, я так делал например), отличный работоспособный удобный GUI пример здесь:[/ot]
https://debianforum.ru/index.php?topic=6879
« Последнее редактирование: 14 Декабря 2016, 23:02:55 от Aalexeey »
https://debianforum.ru/index.php?topic=6879 100% защиты от "Ааааа у меня всё поломалось"
 

Оффлайн qupl

Re: Проблема с установкой gcc-6.
« Ответ #9 : 15 Декабря 2016, 07:06:16 »
[ot]Софт не должен быть свежим, он должен выполнять все требуемые от него функции.[/ot]

Оффлайн ferum

Re: Проблема с установкой gcc-6.
« Ответ #10 : 15 Декабря 2016, 09:28:23 »
[ot]Думаю вообще надо уже научиться разделять проблемы и хотелки. Отсутствие в debian gcc-6 проблемой ни коим образом не является просто время ещё не пришло.[/ot]
Русские дебианщики против цифрового слабоумия !
 

Оффлайн AndGaz

Re: Проблема с установкой gcc-6.
« Ответ #11 : 15 Декабря 2016, 10:53:42 »
Spoiler: ShowHide
ktoto@debian:~$ aptitude show gcc-6
Пакет: gcc-6                                     
Версия: 6.2.1-6
Новый: да
Состояние: установлен
Автоматически установлен: да
Приоритет: необязательный
Раздел: devel
Сопровождающий: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Архитектура: amd64
Размер в распакованном виде: 25,2 M
 

Оффлайн qupl

Re: Проблема с установкой gcc-6.
« Ответ #12 : 15 Декабря 2016, 11:18:57 »
AndGaz, sources.list не хватает для полноты картины.

Оффлайн alsoijw

Re: Проблема с установкой gcc-6.
« Ответ #13 : 15 Декабря 2016, 14:18:43 »
AndGaz, sources.list не хватает для полноты картины.
Автору тоже было бы неплохо показать свой.
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?
 

Оффлайн AndGaz

Re: Проблема с установкой gcc-6.
« Ответ #14 : 16 Декабря 2016, 12:08:00 »
Пакет gcc-6
stretch (testing) (devel): компилятор C от GNU
6.2.1-5: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x
sid (unstable) (devel): компилятор C от GNU
6.2.1-7: powerpc ppc64el
6.2.1-6 [debports]: alpha amd64 arm64 armel armhf hppa i386 kfreebsd-amd64 kfreebsd-i386 m68k mips64el ppc64 s390x sparc64 x32
6.2.1-5: hurd-i386 mips mipsel powerpcspe
6.2.0-5 [debports]: sh4
 

Теги:
     

    проблема с apparmor

    Автор yohoho

    Ответов: 4
    Просмотров: 2045
    Последний ответ 14 Марта 2020, 21:25:52
    от sidbar
    проблема с Cron

    Автор rlbeor

    Ответов: 2
    Просмотров: 1675
    Последний ответ 07 Октября 2013, 18:23:16
    от rlbeor
    Debian Stable, мобильный телефон Nokia mass storage проблема

    Автор Sergei_Alekseev

    Ответов: 9
    Просмотров: 2115
    Последний ответ 28 Мая 2017, 07:40:53
    от vic5710
    [РЕШЕНО] Обновление системы,проблема.

    Автор cohiba

    Ответов: 8
    Просмотров: 3048
    Последний ответ 09 Июля 2012, 15:22:22
    от 3a72
    Проблема со сборкой eaccelerator

    Автор mammuthus

    Ответов: 5
    Просмотров: 3627
    Последний ответ 14 Апреля 2012, 18:27:27
    от jakson